CREATE TABLE hts_schedules_ (
    SCHEDULE_ID                    NUMBER        ,
    SCHEDULE_UNIT_ID               NUMBER        ,
    SCHED_GEN_PROFILE_ID           NUMBER        ,
    START_DATE                     DATE          ,
    END_DATE                       DATE          ,
    OPEN_DATE                      DATE          ,
    PUBLISH_DUE_DATE               DATE          ,
    PUBLISHED_DATE                 DATE          ,
    STATUS_CODE                    VARCHAR2(120) ,
    SELF_SCHEDULE_OPEN_DATE        DATE          ,
    SELF_SCHEDULE_CLOSE_DATE       DATE          ,
    SELF_SCHEDULE_ROTATION_TYPE    VARCHAR2(120) ,
    SCHEDULE_UPDATE_DATE           TIMESTAMP(6)  ,
    WORKLOAD_UPDATE_DATE           TIMESTAMP(6)  ,
    PUBLISHED_BY                   NUMBER        ,
    CREATED_BY                     VARCHAR2(256) ,
    CREATION_DATE                  TIMESTAMP(6)  ,
    LAST_UPDATED_BY                VARCHAR2(256) ,
    LAST_UPDATE_DATE               TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)  ,
    ENTERPRISE_ID                  NUMBER        ,
    COMMENTS                       VARCHAR2(4000),
    UNPUBLISHED_BY                 NUMBER(18, 0) ,
    UNPUBLISH_DATE                 TIMESTAMP(6)  ,
    AUDIT_ACTION_TYPE_             VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_          VARCHAR2(4000),
    AUDIT_IMPERSONATOR_            VARCHAR2(256) ,
    SCHEDULE_ID                    NUMBER        ,
    SCHEDULE_UNIT_ID               NUMBER        ,
    SCHED_GEN_PROFILE_ID           NUMBER        ,
    START_DATE                     DATE          ,
    END_DATE                       DATE          ,
    OPEN_DATE                      DATE          ,
    PUBLISH_DUE_DATE               DATE          ,
    PUBLISHED_DATE                 DATE          ,
    STATUS_CODE                    VARCHAR2(120) ,
    SELF_SCHEDULE_OPEN_DATE        DATE          ,
    SELF_SCHEDULE_CLOSE_DATE       DATE          ,
    SCHEDULE_UPDATE_DATE           TIMESTAMP(6)  ,
    WORKLOAD_UPDATE_DATE           TIMESTAMP(6)  ,
    PUBLISHED_BY                   NUMBER        ,
    CREATED_BY                     VARCHAR2(256) ,
    CREATION_DATE                  TIMESTAMP(6)  ,
    LAST_UPDATED_BY                VARCHAR2(256) ,
    LAST_UPDATE_DATE               TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)  ,
    ENTERPRISE_ID                  NUMBER        ,
    COMMENTS                       VARCHAR2(4000),
    AUDIT_ACTION_TYPE_             VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_          VARCHAR2(4000),
    AUDIT_IMPERSONATOR_            VARCHAR2(256) ,
    UNPUBLISHED_BY                 NUMBER(18, 0) ,
    UNPUBLISH_DATE                 TIMESTAMP(6)  ,
    SELF_SCHEDULE_ROTATION_TYPE    VARCHAR2(120) ,
    CONSTRAINT pk_hts_schedules_ PRIMARY KEY (SCHEDULE_ID, LAST_UPDATED_BY, LAST_UPDATE_DATE, SCHEDULE_ID, LAST_UPDATED_BY, LAST_UPDATE_DATE)
);
